Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.configuration
Class WCTSConfigurationDocument

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.owscommon_1_1_0.CommonsDocument
              org.deegree.owscommon_1_1_0.OWSCommonCapabilitiesDocument
                  org.deegree.ogcwebservices.wcts.capabilities.WCTSCapabilitiesDocument
                      org.deegree.ogcwebservices.wcts.configuration.WCTSConfigurationDocument

All Implemented Interfaces:
  Serializable

    public class WCTSConfigurationDocument

extends WCTSCapabilitiesDocument

`WCTSConfigurationDocument` loads an xml-dom-document and creates a `WCTSConfiguration` bean-representation.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.owscommon_1_1_0.CommonsDocument
`PRE_OWS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WCTSConfigurationDocument(URL configURL)`

Method Summary
`WCTSConfiguration` | `parseConfiguration()`

Methods inherited from class org.deegree.ogcwebservices.wcts.capabilities.WCTSCapabilitiesDocument
`createEmptyDocument, parseCapabilities, parseContents, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.owscommon_1_1_0.OWSCommonCapabilitiesDocument
`parseOperationsMetadata, parseServiceIdentification, parseServiceProvider`

Methods inherited from class org.deegree.owscommon_1_1_0.CommonsDocument
`parseBasicIdentificationType, parseContactInfo, parseDomainMetadataType, parseDomainMetadataTypes, parseDomainType, parseHTTPChild, parseIdentifier, parseKeywords, parseMetadata, parseMetadatas, parseOperations, parseServiceContact`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WCTSConfigurationDocument

    public WCTSConfigurationDocument(URL configURL)
                              throws IOException,
                                     SAXException

Parameters:
  `configURL` - to load from.
Throws:
  `SAXException` - if an xml parsing error has been detected.
  `IOException` - if the file could not be loaded.

Method Detail

### parseConfiguration

    public WCTSConfiguration parseConfiguration()
                                         throws InvalidCapabilitiesException

  Returns:
    a new instance of a `WCTSConfiguration`
  Throws:
    `InvalidCapabilitiesException` - if the configuration contains erroneous xml.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org